%define upstream_name    Autodia
%define upstream_version 2.14

Name:       autodia
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    AutoDia handler for DBI connections
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(DBI)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(Getopt::Std)
BuildRequires: perl(Template)
BuildRequires: perl(XML::Simple)
BuildArch: noarch

Obsoletes: perl-Autodia <= 2.14
Provides:  perl-Autodia

%description
AutoDia takes source files as input and using a handler parses them to
create documentation through templates. The handlers allow AutoDia to parse
any language by providing a handler and registering in in autodia.pm. The
templates allow the output to be heavily customised from Dia XML to simple
HTML and seperates the logic of the application from the presentation of
the results.

AutoDia is written in perl and defaults to the perl handler and file
extension matching unless a language is specified using the -l switch.

AutoDia requires Template Toolkit and Perl 5. Some handlers and templates
may require additional software.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc README TODO COPYING CREDITS INSTALL META.yml CHANGES FAQ DEVELOP
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.140.0-3.mga3
+ Revision: 346639
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 13 2011 jquelin <jquelin> 2.140.0-2.mga2
+ Revision: 154588
- renaming package
- obsoleting perl-Autodia
- renaming app

* Mon Sep 26 2011 jquelin <jquelin> 2.140.0-1.mga2
+ Revision: 148245
- adding missing buidlrequires:
- imported package perl-Autodia

